package de.thefeiter.liedgutverzeichnis.helpers

import android.view.animation.AnimationUtils
import android.widget.ImageView
import de.thefeiter.liedgutverzeichnis.R

class SyncHelper(private val icon: ImageView?) {
    fun setSyncState(syncState: Boolean) {

        icon?.let {
            if (syncState) {
                it.startAnimation(
                    AnimationUtils.loadAnimation(
                        icon.context,
                        R.anim.sync_rotate
                    )
                )
            } else {
                it.animation?.cancel()
            }
        }

    }

    fun setUploadingState(syncState: Boolean) {

        icon?.let {
            if (syncState) {
                it.startAnimation(
                    AnimationUtils.loadAnimation(
                        icon.context,
                        R.anim.upload
                    )
                )
            } else {
                it.animation?.cancel()
            }
        }

    }
}