package de.thefeiter.liedgutverzeichnis.objects;

import androidx.annotation.NonNull;
import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;

@Entity(tableName = "categories")
public class Category {
    public static final int UNCATEGORIZED = -1;
    public static final int DEFAULT_SELECTION = -2;
    @PrimaryKey
    @NonNull
    @ColumnInfo(name = "categoryId")
    public int id;

    public String name;

    public String color;

}

