package de.thefeiter.liedgutverzeichnis.roomdb

import androidx.room.Dao
import androidx.room.Insert
import androidx.room.Query
import de.thefeiter.liedgutverzeichnis.objects.BookRelation

@Dao
interface DAOBookRelation {
    @Insert
    fun insert(bookRelation: BookRelation?)

    @Query("DELETE FROM bookRelations")
    fun deleteAll()

    @Query("SELECT * FROM bookRelations WHERE songId = :songId AND bookId = :bookId LIMIT 1")
    fun getBySongAndBook(songId: Int, bookId: Int): BookRelation?
}