package de.thefeiter.liedgutverzeichnis.roomdb

import androidx.room.Dao
import androidx.room.Insert
import androidx.room.Query
import de.thefeiter.liedgutverzeichnis.objects.SuggestionCache

@Dao
interface DAOSuggestionCache {
    @Insert
    fun insert(suggestion: SuggestionCache?)

    @Query("SELECT suggestionCaches.* FROM suggestionCaches LIMIT 1")
    fun getFirst(): SuggestionCache?

    @Query("DELETE FROM suggestionCaches WHERE suggestionCaches.`key` = :key")
    fun delete(key: Int)
}