package de.thefeiter.liedgutverzeichnis.ui.views

import android.content.Context
import android.util.AttributeSet
import android.widget.ImageView
import android.widget.LinearLayout
import android.widget.TextView
import de.thefeiter.liedgutverzeichnis.R

class SongPill(context: Context, attrs: AttributeSet?) : LinearLayout(context, attrs) {

    var label: TextView
    private val icon: ImageView
    private val layout: LinearLayout

    init {
        inflate(context, R.layout.item_pill, this)

        label = findViewById(R.id.pill_label)
        icon = findViewById(R.id.pill_icon)
        layout = findViewById(R.id.pill_layout)


        icon.setImageResource(R.drawable.ic_round_music_note_black_48dp)
    }


    fun setNew() {
        icon.setImageResource(R.drawable.ic_baseline_add_black_24dp)
    }

    fun setNoRipple() {
        layout.setBackgroundResource(R.drawable.bg_pill_no_ripple)
    }


}