package de.thefeiter.liedgutverzeichnis.exceptions

import android.content.Context
import android.widget.Toast

class DatabaseUpdateException(override val message: String?) : Exception(
    message
) {
    fun notifyUser(context: Context?) {
        val toast = Toast.makeText(context, message, Toast.LENGTH_LONG)
        toast.show()
    }
}