package de.thefeiter.liedgutverzeichnis.ui.views

import android.content.Context
import android.graphics.Color
import android.util.AttributeSet
import android.widget.ImageView
import android.widget.LinearLayout
import android.widget.TextView
import de.thefeiter.liedgutverzeichnis.R

class CategoryPill(context: Context, attrs: AttributeSet?) : LinearLayout(context, attrs) {

    var label: TextView
    private val icon: ImageView

    init {
        inflate(context, R.layout.item_pill, this)

        label = findViewById(R.id.pill_label)
        icon = findViewById(R.id.pill_icon)

        icon.setImageResource(R.drawable.ic_pill_dot)
    }


    fun setColor(colorString: String) {
        icon.setColorFilter(Color.parseColor(colorString))
    }

    fun setNew() {
        icon.colorFilter = null

        icon.setImageResource(R.drawable.ic_baseline_add_black_24dp)
    }


}